Bug 356461 - Reboot should recover from corrupted xenstored tdb
Reboot should recover from corrupted xenstored tdb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 10:13 EDT by Markus Armbruster
Modified: 2009-12-14 16:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Markus Armbruster 2007-10-29 10:19:58 EDT
Xen cannot work when xenstored's tdb is corrupt.  When that happens somehow
(e.g. bug 215994), even reboot doesn't recover from it.  It could: there is no
state in tdb that needs to be persisted across reboots.
Comment 2 RHEL Product and Program Management 2007-10-29 10:24:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Markus Armbruster 2007-11-07 11:55:02 EST
Fix is upstream, cset 16323:468a30d74bd6.
Comment 5 Daniel Berrange 2008-01-03 16:10:51 EST
Fix built for QA

$ brew latest-pkg dist-5E-qu-candidate xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-43.el5                          dist-5E-qu-candidate  berrange

* Thu Jan  3 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-43.el5
- Delete xenstored TDB upon startup (rhbz #356461)
Comment 8 errata-xmlrpc 2008-05-21 11:20:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html

Note You need to log in before you can comment on or make changes to this bug.